<?xml version="1.0" encoding="UTF-8"?>
<xs:stylesheet xmlns:xs="http://www.w3.org/1999/XSL/Transform"
	version="1.0">
	
	<xs:output method="text"/>
    
    <xs:template match="registration">
Rule set <xs:value-of select="@uri"/>       
        <xs:choose>
            <xs:when test="@ref">
    Reference:   <xs:value-of select="@ref"></xs:value-of>
            </xs:when>            
            <xs:otherwise>
    Name:        <xs:value-of select="definition/*/name"></xs:value-of>
    Description: <xs:value-of select="definition/*/description"></xs:value-of>
    <xs:if test="definition/*/object-filter">
    Default object filter: <xs:value-of select="definition/*/object-filter/@type"/></xs:if>                             
            </xs:otherwise>   
        </xs:choose><xs:if test="properties/entry">
    
    Properties<xs:for-each select="properties">
    <xs:sort select="key"/>
        Key:         <xs:value-of select="entry/key"></xs:value-of> [<xs:value-of select="entry/key/@type"></xs:value-of>]
        Value:       <xs:value-of select="entry/value"></xs:value-of> [<xs:value-of select="entry/value/@type"></xs:value-of>]
<xs:text>    
</xs:text>    
    </xs:for-each>
    </xs:if><xs:if test="definition/*/rules/rule">
    
    Rules<xs:for-each select="definition/*/rules/rule">
    <xs:sort select="name"/>
        Name:        <xs:value-of select="name"></xs:value-of>
        Description: <xs:value-of select="description"></xs:value-of>
        <xs:if test="*[not(name()='name') and not(name()='description')]">
        Properties
        <xs:for-each select="*[not(name()='name') and not(name()='description')]">
            <xs:sort select="name()"/>
            <xs:text>    </xs:text><xs:value-of select="name()"/> [<xs:value-of select="@type"/>] = <xs:value-of select="text()"/><xs:text>
        </xs:text>
        </xs:for-each></xs:if>
<xs:text>    
</xs:text>    
    </xs:for-each>
    </xs:if>        

   </xs:template>
	
</xs:stylesheet>