<?xml version="1.0" encoding="UTF-8"?>
<xs:stylesheet xmlns:xs="http://www.w3.org/1999/XSL/Transform"
	version="1.0">
	
	<xs:output method="html"/>
    
    <xs:template match="registrations">
        <HTML>
            <HEAD>
                <TITLE>Rule sets registrations</TITLE>
            </HEAD>
            <BODY>
                <TABLE border="1" cellspacing="0" cellpadding="3">
                    <TR bgcolor="silver">
                        <TH>URI</TH>
                        <TH>Name</TH>
                        <TH>Description</TH>
                    </TR>
                    
                    <xs:for-each select="registration">
                        <xs:sort select="@uri"/>
                        
                        <TR>
                            <TD><xs:value-of select="@uri"/></TD>
                            
                            <xs:choose>
                                <xs:when test="@ref">
                                    <TD colspan="2"><B>REF -> </B><xs:value-of select="@ref"></xs:value-of></TD>
                                </xs:when>
                                
                                <xs:otherwise>
                                    <TD><xs:value-of select="definition/*/name"></xs:value-of></TD>
                                    <TD><xs:value-of select="definition/*/description"></xs:value-of></TD>
                                </xs:otherwise>                                
                            </xs:choose>
                        </TR>
                    </xs:for-each>
                    
                </TABLE>                
            </BODY>            
        </HTML>        
    </xs:template>
	
</xs:stylesheet>